﻿@page
@model AspNetCoreRazorPage.Pages.CreateModel

@{
    ViewData["Title"] = "Create";
}
 
@section Resources
{
    <script src="~/js/CommonScript.js"></script>
}


<h1>Create</h1>

<h4>Employee Details</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="EmpDetails.EmpName" class="control-label"></label>
                <input asp-for="EmpDetails.EmpName" class="form-control" />
                <span asp-validation-for="EmpDetails.EmpName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="EmpDetails.Email" class="control-label"></label>
                <input asp-for="EmpDetails.Email" class="form-control" />
                <span asp-validation-for="EmpDetails.Email" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="EmpDetails.Mobile" class="control-label"></label>
                <input asp-for="EmpDetails.Mobile" class="form-control" onkeypress="return isNumberKey(event)" />
                <span asp-validation-for="EmpDetails.Mobile" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="EmpDetails.Salary" class="control-label"></label>
                <input asp-for="EmpDetails.Salary" class="form-control" />
                <span asp-validation-for="EmpDetails.Salary" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

 